POST api/AppointmentRequestReasons
Request Information
URI Parameters
None.
Body Parameters
AppointmentRequestReasonModel| Name | Description | Type | Additional information |
|---|---|---|---|
| InternalId |
ID of the appointment request reason. |
globally unique identifier |
None. |
| AccountId |
Account's unique identifier. |
globally unique identifier |
None. |
| Name |
Name of appointment request reason. |
string |
None. |
| AppliesToNewPatients |
Indicates whether the appointment request reason applies to new patient or not. |
boolean |
None. |
| AppliesToExistentPatients |
Indicates whether the appointment request reason applies to existen patient or not. |
boolean |
None. |
| IsLogicalDeleted |
Indicates whether the appointment request reason is logical deleted or not. |
boolean |
None. |
| SlotDuration |
Estimated time for an appointment with this reason. |
integer |
None. |
| Changed |
Result of reason whether changed or no. |
boolean |
None. |
| Active |
Indicates whether the appointment request reason is active or not. |
boolean |
None. |
| LastChanged |
Timestamp value of the last modification. |
string |
None. |
Request Formats
application/json, text/json
{
"internalId": "98855258-d5ed-47d1-b747-83af9993b288",
"accountId": "eb42b274-726f-46f0-9a05-49957e2579f5",
"name": "sample string 3",
"appliesToNewPatients": true,
"appliesToExistentPatients": true,
"isLogicalDeleted": true,
"slotDuration": 7,
"changed": true,
"active": true,
"lastChanged": "sample string 10"
}
application/xml, text/xml
<AppointmentRequestReasonModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AppointmentRequestReasons"> <AccountId>eb42b274-726f-46f0-9a05-49957e2579f5</AccountId> <Active>true</Active> <AppliesToExistentPatients>true</AppliesToExistentPatients> <AppliesToNewPatients>true</AppliesToNewPatients> <Changed>true</Changed> <InternalId>98855258-d5ed-47d1-b747-83af9993b288</InternalId> <IsLogicalDeleted>true</IsLogicalDeleted> <LastChanged>sample string 10</LastChanged> <Name>sample string 3</Name> <SlotDuration>7</SlotDuration> </AppointmentRequestReasonModel>
application/x-www-form-urlencoded
Response Information
Resource Description
AppointmentRequestReasonModel| Name | Description | Type | Additional information |
|---|---|---|---|
| InternalId |
ID of the appointment request reason. |
globally unique identifier |
None. |
| AccountId |
Account's unique identifier. |
globally unique identifier |
None. |
| Name |
Name of appointment request reason. |
string |
None. |
| AppliesToNewPatients |
Indicates whether the appointment request reason applies to new patient or not. |
boolean |
None. |
| AppliesToExistentPatients |
Indicates whether the appointment request reason applies to existen patient or not. |
boolean |
None. |
| IsLogicalDeleted |
Indicates whether the appointment request reason is logical deleted or not. |
boolean |
None. |
| SlotDuration |
Estimated time for an appointment with this reason. |
integer |
None. |
| Changed |
Result of reason whether changed or no. |
boolean |
None. |
| Active |
Indicates whether the appointment request reason is active or not. |
boolean |
None. |
| LastChanged |
Timestamp value of the last modification. |
string |
None. |
Response Formats
application/json, text/json
{
"internalId": "d8c98324-52ed-4ca6-91d2-915dc7bf7117",
"accountId": "4fd7db90-69cb-419b-ac5f-0fa0223adf13",
"name": "sample string 3",
"appliesToNewPatients": true,
"appliesToExistentPatients": true,
"isLogicalDeleted": true,
"slotDuration": 7,
"changed": true,
"active": true,
"lastChanged": "sample string 10"
}
application/xml, text/xml
<AppointmentRequestReasonModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AppointmentRequestReasons"> <AccountId>4fd7db90-69cb-419b-ac5f-0fa0223adf13</AccountId> <Active>true</Active> <AppliesToExistentPatients>true</AppliesToExistentPatients> <AppliesToNewPatients>true</AppliesToNewPatients> <Changed>true</Changed> <InternalId>d8c98324-52ed-4ca6-91d2-915dc7bf7117</InternalId> <IsLogicalDeleted>true</IsLogicalDeleted> <LastChanged>sample string 10</LastChanged> <Name>sample string 3</Name> <SlotDuration>7</SlotDuration> </AppointmentRequestReasonModel>